LDAP: Account Name binding should be dynamic
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I am trying to achieve an LDAP auth with our Active Directory server but there is an issue with the binding.

As stated here: http://www.redmine.org/projects/redmine/wiki/RedmineLDAP

Account and Password must be either blank for anonymous access or provide a read-only user.

Thats the issue. Our servers require to provide my own binding as account name to be able to use authentication.

Since there is no generic read only user I must either enter my personal user to be used for everyone or otherwise provide some

variable to it.

Basically the Account-Name should be the CN or user name of the user, and the entered password used for LDAP auth should be

also the Account-Password to create a valid binding

Related issues:

Is duplicate of Redmine - Feature #1913: LDAP - authenticate as user Closed 2008-09-16

History

#1 - 2012-03-06 01:13 - Daniel Ritz

See #1913 for patches that provide what you need. I successfully use the simplest patch provided there in my Redmine install at work with a Windows

AD. Still, it would be great having that functionality in base Redmine w/o any patches...

#2 - 2012-03-06 08:17 - Sam Warns

I see, thanks for the hint. Too bad that the other ticket require such a long time to be merged into base

#3 - 2012-03-06 08:23 - Sam Warns

- Status changed from New to Resolved

Since it is a duplicate of #1913

#4 - 2012-03-06 09:31 - Etienne Massip

- Category set to LDAP

- Status changed from Resolved to Closed

- Resolution set to Duplicate
